打开/关闭菜单
1680
2.2万
6517
11.7万
舰R百科
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

舰R百科是靠无数志愿编辑者持续地建设更新完善的。编辑非常简单,无需代码知识,请勇于更新页面!
编辑入门 | 资助百科 | 留言讨论页 | 微博@舰R百科 | 百科编辑讨论Q群:366818861

MediaWiki:Mobile.css:修订间差异

MediaWiki界面页面
Donnyjie留言 | 贡献
无编辑摘要
Donnyjie留言 | 贡献
无编辑摘要
 
(未显示2个用户的42个中间版本)
第1行: 第1行:
/* 放置于这里的CSS将影响使用移动版网站的用户 */
/* 放置于这里的CSS将影响使用移动版网站的用户 */
/* 移动版黑幕增加删除线 */
 
.heimu,
 
.heimu a,
/* 隐藏首页标题 */
a .heimu,
.page-首页 h1 {
.heimu a.new {
display: none;
    background-color: rgba(37, 37, 37, 0.37) !important;
}
    color: #252525 !important;
 
    line-height: 1em;
.sitenotice {
text-align: center;
display: none !important;
}
 
.sitenotice-bold, .sitenotice-bold a {
color:rgb(207, 59, 81);
text-decoration: none;
text-align: center;
font-weight: bold;
}
 
/*隐藏页面顶端的logo*/
.branding-box span{
position: absolute;
top:-200px;
}
 
/*tabber修改*/
.tabber__section {
border-width: 0px 1px 1px 1px;
border-color: #6690E5;
border-style: solid;
}
 
.tabber__panel {
padding:3px;
}
 
 
/* 图片宽度 */
#mw-content-text img {
max-width:90vw
}
 
/*移动版不显示目录*/
.toc-mobile {
display:none
}
 
/* 移动版黑幕 */
.heimu, .heimu a, a .heimu, .heimu a.new {
background-color: #252525;
color: #252525;
text-shadow: none;
}
}
.heimu:hover, .heimu:active {
color: white;
}
.heimu:hover a, a:hover .heimu {
color: lightblue;
}
.heimu:hover .new, .heimu .new:hover, .new:hover .heimu {
color: #BA0000;
}
/* 修复单元格莫名空行 */
/* 修复单元格莫名空行 */
td {
td {
第183行: 第237行:
/* 桌面端不显示 */
/* 桌面端不显示 */
.deskOnly{display:none}
.deskOnly{display:none}
/* 台词表 */
.DiagTitleBlue { background:#4682B4;color:white;text-align:center }
.DiagTitleRed { background:#FF9C9C;color:white;text-align:center }
.DiagWhite { background:#FFFFFF;color:black;padding:0px 10px; }
.DiagBlue { background:#CCE9FD;color:black;padding:0px 10px; }
.DiagRed { background:#FFD2D2;color:black;padding:0px 10px; }
.DiagAudioWhite { width:45%;background:#FFFFFF;color:black; }
.DiagAudioBlue { width:45%;background:#CCE9FD;color:black; }
.DiagAudioRed { width:45%;background:#FFD2D2;color:black; }




第211行: 第275行:
display:block;
display:block;
width:82px;
width:82px;
height:80px;
}
}


第334行: 第399行:
table.satellite.satellite3 td:nth-of-type(4):before { content:'舰种'; }
table.satellite.satellite3 td:nth-of-type(4):before { content:'舰种'; }
table.satellite.satellite3 td:nth-of-type(5):before { content:'国籍'; }
table.satellite.satellite3 td:nth-of-type(5):before { content:'国籍'; }
table.satellite.satellite3 td:nth-of-type(6):before { content:'卫星类型'; }
table.satellite.satellite3 td:nth-of-type(6):before { content:'卫星出处'; }
table.satellite.satellite3 td:nth-of-type(7):before { content:'卫星出处'; }
table.satellite.satellite3 td:nth-of-type(7):before { content:'上天时间'; }
table.satellite.satellite3 td:nth-of-type(8):before { content:'上天时间'; }
table.satellite.satellite3 td:nth-of-type(8):before { content:'备注: '; }
table.satellite.satellite3 td:nth-of-type(9):before { content:'备注: '; }
 
table.satellite.satellite4 td:nth-of-type(1):before { content:'舰名'; }
table.satellite.satellite4 td:nth-of-type(2):before { content:'舰种'; }
table.satellite.satellite4 td:nth-of-type(3):before { content:'国籍'; }
table.satellite.satellite4 td:nth-of-type(4):before { content:'语言'; }
table.satellite.satellite4 td:nth-of-type(5):before { content:'卫星出处'; }
table.satellite.satellite4 td:nth-of-type(6):before { content:'上天时间'; }
table.satellite.satellite4 td:nth-of-type(7):before { content:'备注'; }
 


/* 出身表格 */
/* 出身表格 */
第353行: 第426行:
table.shipyard td:nth-of-type(4):before { content:'出厂日期'; }
table.shipyard td:nth-of-type(4):before { content:'出厂日期'; }
table.shipyard td:nth-of-type(5):before { content:'备注: '; }
table.shipyard td:nth-of-type(5):before { content:'备注: '; }
/* 意军军舰表格 */
table.shipyardit td { width:85vw; }
table.shipyardit td:nth-of-type(1):before { content:'开工时间'; }
table.shipyardit td:nth-of-type(2):before { content:'下水时间'; }
table.shipyardit td:nth-of-type(3):before { content:'出厂日期'; }
table.shipyardit td:nth-of-type(4):before { content:'服役日期'; }
table.shipyardit td:nth-of-type(5):before { content:'舰名'; }
table.shipyardit td:nth-of-type(5){font-weight:bold; color:rgb(135,183,255);}
table.shipyardit td:nth-of-type(6):before { content:'译名1';}
table.shipyardit td:nth-of-type(6){font-weight:bold; color:rgb(135,183,255);}
table.shipyardit td:nth-of-type(7):before { content:'译名2';}
table.shipyardit td:nth-of-type(7){font-weight:bold; color:rgb(135,183,255);}


/* 技能表格 */
/* 技能表格 */
第401行: 第489行:


/* 首页布局 */
/* 首页布局 */
.mainContent{width:90vw;}
.mainContentTag{height:350px;overflow:auto;}


.mainNav{position:relative; margin:0 auto 0 auto; width:90vw; height:200vw; max-width:576px; max-height:1280px; overflow:hidden;}
.mainNav{position:relative; margin:0 auto 0 auto; width:90vw; height:200vw; max-width:576px; max-height:1280px; overflow:hidden;}
第406行: 第497行:
.mainBlock1{position:absolute; top:0%; left:0%; width:100%; height:100%; }
.mainBlock1{position:absolute; top:0%; left:0%; width:100%; height:100%; }


.mainXinshourumen{position:absolute; top:0%; left:0%; width:50%; border:solid 2px #FFF; }
.mainXinshourumen{position:absolute; top:0%; left:0%; width:60%; border:solid 2px #FFF; }


.mainHaogandu{position:absolute; top:10%; left:0%; width:50%; border:solid 2px #FFF; }
.mainHaogandu{position:absolute; top:12%; left:0%; width:60%; border:solid 2px #FFF; }


.mainZhanlipin{position:absolute; top:15%; left:0%; width:50%; border:solid 2px #FFF; }
.mainZhanlipin{position:absolute; top:18%; left:0%; width:60%; border:solid 2px #FFF; }


.mainHaiyuziliao{position:absolute; top:0%; left:50%; width:33.3%; border:solid 2px #FFF; }
.mainHaiyuziliao{position:absolute; top:0%; left:60%; width:40%; border:solid 2px #FFF; }


.mainLishizhanyi{position:absolute; top:5%; left:50%; width:33.3%; border:solid 2px #FFF; }
.mainLishizhanyi{position:absolute; top:6%; left:60%; width:40%; border:solid 2px #FFF; }


.mainYuanzheng{position:absolute; top:10%; left:50%; width:33.3%; border:solid 2px #FFF; }
.mainYuanzheng{position:absolute; top:12%; left:60%; width:40%; border:solid 2px #FFF; }


.mainRenwu{position:absolute; top:15%; left:50%; width:33.3%; border:solid 2px #FFF; }
.mainRenwu{position:absolute; top:18%; left:60%; width:40%; border:solid 2px #FFF; }


.mainBlock2{position:absolute; top:22.5%; left:0%; width:100%; height:100%; }
.mainBlock2{position:absolute; top:25%; left:0%; width:100%; height:100%; }


.mainZhandoujizhi{position:absolute; top:0%; left:0%; width:50%; border:solid 2px #FFF; }
.mainZhandoujizhi{position:absolute; top:0%; left:0%; width:60%; border:solid 2px #FFF; }


.mainJineng{position:absolute; top:0%; left:50%; width:33.3%; border:solid 2px #FFF; }
.mainJineng{position:absolute; top:6%; left:0%; width:60%; border:solid 2px #FFF; }


.mainBlock3{position:absolute; top:35%; left:0%; width:100%; height:100%; }
.mainGangqu{position:absolute; top:0%; left:60%; width:40%; border:solid 2px #FFF; }
 
.mainBlock3{position:absolute; top:38%; left:0%; width:100%; height:100%; }


.mainJianchuanhuode{position:absolute; top:0%; left:0%; width:66.6%; height:10%; border:solid 2px #FFF; }
.mainJianchuanhuode{position:absolute; top:0%; left:0%; width:66.6%; height:10%; border:solid 2px #FFF; }
第438行: 第531行:
.mainHuanzhuang{position:absolute; top:15%; left:33.3%; width:33.3%; border:solid 2px #FFF; }
.mainHuanzhuang{position:absolute; top:15%; left:33.3%; width:33.3%; border:solid 2px #FFF; }


.mainZaochuanchang{position:absolute; top:20%; left:0%; width:41.6%; border-left:solid 2px #FFF; border-top:solid 2px #FFF; border-bottom:solid 2px #FFF; }
.mainZaochuanchang{position:absolute; top:20%; left:0%; width:50%; border-left:solid 2px #FFF; border-top:solid 2px #FFF; border-bottom:solid 2px #FFF; }


.mainGuisu{position:absolute; top:20%; left:41.6%; width:41.6%; border-right:solid 2px #FFF; border-top:solid 2px #FFF; border-bottom:solid 2px #FFF; }
.mainGuisu{position:absolute; top:20%; left:50%; width:50%; border-right:solid 2px #FFF; border-top:solid 2px #FFF; border-bottom:solid 2px #FFF; z-index:10; }


.mainShenhaijiandui{ display:none }
.mainShenhaijiandui_11{ position:absolute; top:15%; left:66.6%; width:33.3%; height:5%; border:solid 2px #FFF; overflow:hidden; }


.mainBlock3_1{position:absolute; top:35%; left:66.6%; width:33.3%; height:15%}
.mainShenhaijiandui_12{ position:absolute; width:150%; left:-17.5%; }
 
.mainShenhaijiandui_21{ position:absolute; top: 15%; left:66.6%; width: 50%; height:5%; border:solid 2px #FFF; overflow:hidden; z-index:9; }
 
.mainShenhaijiandui_22{ position:absolute; width:200%; left: -10.5%; }
 
.mainBlock3_1{position:absolute; top:38%; left:66.6%; width:33.3%; height:15%}


.mainZhuangbei{position:absolute; top:0%; left:0%; width:100%; border:solid 2px #FFF; }
.mainZhuangbei{position:absolute; top:0%; left:0%; width:100%; border:solid 2px #FFF; }
第450行: 第549行:
.mainZhuangbeitujian{position:absolute; top:50%; left:0%; width:100%; border:solid 2px #FFF; }
.mainZhuangbeitujian{position:absolute; top:50%; left:0%; width:100%; border:solid 2px #FFF; }


.mainBlock4{position:absolute; top:62.5%; left:0%; width:100%; height:100%; }
.mainBlock4{position:absolute; top:65%; left:0%; width:100%; height:100%; }


.mainWeixingguance{position:absolute; top:0%; left:0%; width:33.3%; border:solid 2px #FFF; }
.mainWeixing{position:absolute; top:0%; left:0%; width:33.3%; border:solid 2px #FFF; }


.mainChangkan{position:absolute; top:0%; left:33.3%; width:33.3%; border:solid 2px #FFF; }
.mainChangkan{position:absolute; top:0%; left:33.3%; width:33.3%; border:solid 2px #FFF; }
第458行: 第557行:
.mainLishi{position:absolute; top:0%; left:66.6%; width:33.3%; border:solid 2px #FFF; }
.mainLishi{position:absolute; top:0%; left:66.6%; width:33.3%; border:solid 2px #FFF; }


.mainBlock5{position:absolute; top:75%; left:0%; width:100%; height:100%; }
.mainBlock5{position:absolute; top:76%; left:0%; width:100%; height:100%; }
 
.mainZaxue{position:absolute; top:0%; left:0%; width:66.7%; border:solid 2px #FFF; }


.mainZaxue{position:absolute; top:0%; left:16.6%; width:66.6%; border:solid 2px #FFF; }
.mainHuashi{position:absolute; top:5%; left:0%; width:33.3%; border:solid 2px #FFF; }


.mainHuashi{position:absolute; top:5%; left:16.6%; width:66.6%; border:solid 2px #FFF; }
.mainPeiyin{position:absolute; top:5%; left:33.3%; width:33.3%; border:solid 2px #FFF; }


.mainBlock6{position:absolute; top:85%; left:0%; width:100%; height:100%; }
.mainBlock6{position:absolute; top:86%; left:0%; width:100%; height:100%; }


.mainYingshi{position:absolute; top:0%; left:16.6%; width:33.3%; border:solid 2px #FFF; }
.mainYingshi{position:absolute; top:0%; left:0%; width:33.3%; border:solid 2px #FFF; }


.mainManhua{position:absolute; top:0%; left:50%; width:33.3%; border:solid 2px #FFF; }
.mainManhua{position:absolute; top:0%; left:33.3%; width:33.3%; border:solid 2px #FFF; }


.mainYouxi{position:absolute; top:5%; left:16.6%; width:33.3%; border:solid 2px #FFF; }
.mainYouxi{position:absolute; top:5%; left:0%; width:33.3%; border:solid 2px #FFF; }


.mainXiaoshuo{position:absolute; top:5%; left:50%; width:33.3%; border:solid 2px #FFF; }
.mainXiaoshuo{position:absolute; top:5%; left:33.3%; width:33.3%; border:solid 2px #FFF; }


.mainHetuji{position:absolute; top:0%; left:76.8%; width:22.4%; border:solid 2px #FFF; display:none;}
.mainHetuji{position:absolute; top:0%; left:76.8%; width:22.4%; border:solid 2px #FFF; display:none;}